﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class beeping : MonoBehaviour {
    int objno = 1;
    rtcmixmain RTcmix;
    private bool did_start = false;


    private void Awake()
    {
        // find the RTcmixmain object with the RTcmix function definitions
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }

    // Use this for initialization
    void Start () {
        // initialize RTcmix
        RTcmix.initRTcmix(objno);

        // send a note using the WAVETABLE() instrument
        RTcmix.SendScore("WAVETABLE(0, 0.2, 20000, 8.05, 0.5)  MAXBANG(0.3)", objno);

        did_start = true;
    }
	
	// Update is called once per frame
	void Update () {
		
	}

    void OnAudioFilterRead(float[] data, int channels)
    {
        if (!did_start) return;

        // compute sound samples
        RTcmix.runRTcmix(data, objno, 0);

        if (RTcmix.checkbangRTcmix(objno) == 1) {
            RTcmix.SendScore("WAVETABLE(0, 0.2, 20000, 8.05, 0.5)  MAXBANG(0.3)", objno);
        }

    }


    void OnApplicationQuit()
    {
        did_start = false;
        RTcmix = null;
    }
}
